#version 400

uniform vec4 color;

in vec3 varNormalVS;   ///< vertex normal in viewing-space
in vec3 varPositionVS; ///< vertex position in viewing-space

// ------------- output-color of fragment ------------
out vec4 fragColor;



void main()
{
	vec3 eyePosVS = vec3(0.0, 0.0, 0.0);
	vec3 toEyeDir = normalize(eyePosVS - varPositionVS);
	vec3 normal = normalize(varNormalVS);
	float fuuu = dot(normal, toEyeDir);
	fuuu = fuuu * fuuu * fuuu * fuuu * fuuu;
	fragColor = color * fuuu;
}