#version 400

uniform samplerCube cubeTexSampler;

// varyings
in vec3 varReflectDir;

// output-color of fragment
layout(location = 0) out vec4 fragColor;

void main()
{
	vec4 cubeMapColor = texture(cubeTexSampler, varReflectDir);
	fragColor = cubeMapColor;
}