#version 400

in vec2 varTexCoords;

uniform sampler2D texSampler;
uniform vec4 fontColor;

// output-color of fragment
out vec4 fragColor;

void main()
{
    vec4 texColor = texture2D(texSampler, varTexCoords);
    fragColor = texColor * fontColor;
}
