#version 330 core

uniform mat4 mtMatrix; //model matrix (passed per object)
out vec2 geoTexCoords;

layout (location = 0) in vec4 vertexPosition;
layout (location = 1) in vec2 vertexTexCoord;
layout (location = 2) in vec3 vertexNormal;

void main(void) 
{
	geoTexCoords = vertexTexCoord;

	// transform vertex to world space
	gl_Position = mtMatrix * vertexPosition;

}