uniform sampler2D texSampler0;

in vec2 varTexCoords;
in vec2 varCenter; 

const int samples = 50;

void main()
{

	//float exposure = 0.01;//0.0084;
	//float decay = 0.9;//1.0;
	//float density = 0.84;//0.84;
	//float weight = 5.650;//;5.65;
	
	
	// GOOD PARAMETERS IF you DO NOT BLUR GODRAY EFFEct with DOF
	//float exposure = 0.01;//0.0084;
	//float decay = 0.99;//1.0;
	//float density = 0.84;//0.84;
	//float weight = 8.650;//;5.65;

	// GOOD PARAMETERS IF you BLURR GODRAY EFFECT WITH DOF
	float exposure = 0.01;//0.0084;
	float decay = 0.93;//1.0;
	float density = 0.84;//0.84;
	float weight = 6.650;//;5.65;


	vec2 deltaTextCoord = vec2( varTexCoords.st - varCenter);
	vec2 textCoo = varTexCoords.st;
	deltaTextCoord *= 1.0 /  float(samples) * density;
	float illuminationDecay = 1.0;
	
	vec4 col = vec4(0.0,0.0,0.0,1.0);
	
	for(int i=0; i < samples ; i++)
	{
			textCoo -= deltaTextCoord;
			vec4 sample = texture2D(texSampler0, textCoo );
			
			sample *= illuminationDecay * weight;
			
			col += sample;
			
			illuminationDecay *= decay;
	}
	
	
	gl_FragColor = col * exposure;






	//vec4 tex = texture(texSampler0, varTexCoords);
	//vec4 frag_color = vec4(0.0,1.0,0.0,1.0);
    //fragColor = frag_color*tex;
	//gl_FragColor = texture2D(texSampler0, varTexCoords);
}
