#version 400

uniform mat4 mtMatrix;
uniform mat3 mtNormalMatrix;
uniform mat4 pvmtMatrix;


layout (location = 0) in vec4 vertexPosition; 
layout (location = 1) in vec2 vertexTexCoord;
layout (location = 2) in vec3 vertexNormal;

out vec3 varPosWS;
out vec3 varNormalWS;

void main()
{	
	varPosWS = vec3(mtMatrix * vertexPosition);
	varNormalWS = mtNormalMatrix * vertexNormal;
	
	gl_Position = pvmtMatrix * vertexPosition;
}
