#version 400

uniform mat4 pvmtMatrix;

layout (location = 0) in vec4 vertexPosition; 
layout (location = 1) in vec2 vertexTexCoord;
layout (location = 2) in vec3 vertexNormal;

out vec3 varReflectDir;

void main()
{	
	// compute the reflected direction in world coords
	varReflectDir = vec3(vertexPosition);

	gl_Position = pvmtMatrix * vertexPosition;
}
