#version 400

uniform sampler2D texSampler0;
uniform float reflectivity;

in vec4 varVertexPosition;

out vec4 fragColor;

void main()
{
	vec2 coords = varVertexPosition.xy / varVertexPosition.w * 0.5 + 0.5;
	fragColor = texture2D(texSampler0, coords);
	fragColor.a = reflectivity;
}